{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <link rel="icon" href="{% static 'img/icon.png' %}">
    <title>Siruco</title>
    {% block meta %}
    
    {% endblock meta %}


  </head>

  <body class="{% block class_meta %}{% endblock class_meta %}">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'main:home' %}"><img src="{% static 'img/icon.png' %}" style="height: 30px; width: 30px;">SIRUCO</a>
        
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        {% if request.session.username %}
        <div class="collapse navbar-collapse justify-content-between" id="navbarSupportedContent">
        {% endif %}
        
        {% if request.session.username == null %}
        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
        {% endif %}

          <ul style="justify-self:flex-start;" class="navbar-nav mr-auto mb-2 mb-lg-10">

            {% if request.session.username %}

            <!-- Profil -->
            <li class="nav-item">
              <a class="nav-link" href="{% url 'main:home' %}" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Profil
              </a>
            </li>

            <!-- Hotel -->
            {% if request.session.peran != 'dokter' %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Hotel
              </a>

              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                {% if request.session.peran == 'admin sistem' %}
                <li><a class="dropdown-item" href="{% url 'hotel:buat-hotel'%}">Buat Hotel</a></li>
                <li><a class="dropdown-item" href="#">Buat Ruangan Hotel</a></li>
                {% endif %}

                <li><a class="dropdown-item" href="{% url 'hotel:list-hotel' %}">List Hotel</a></li>
                <li><a class="dropdown-item" href="#">List Ruangan Hotel</a></li>

                {% if request.session.peran == 'admin sistem' %}
                <li><a class="dropdown-item" href="#">Buat Ruangan Hotel</a></li>
                <li><a class="dropdown-item" href="/paket-makan/buat-paket-makan/">Buat Paket Makan</a></li>
                {% endif %}

                <li><a class="dropdown-item" href="/paket-makan/list-paket-makan/">List Paket Makan</a></li>

                {% if request.session.peran == 'admin satgas' or request.session.peran == 'pengguna publik' %}
                <li><a class="dropdown-item" href="">Buat Reservasi Hotel</a></li>
                <li><a class="dropdown-item" href="">List Reservasi Hotel</a></li>
                {% endif %}
              </ul>
            </li>
            {% endif %}
          
            {% if request.session.peran != 'admin sistem' %}
            <!-- Rumah Sakit -->
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Rumah Sakit
              </a>

              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                {% if request.session.peran == 'dokter' %}
                <li><a class="dropdown-item" href="{% url 'jadwal_dokter:buat_jadwal' %}">Buat Jadwal Dokter</a></li>
                <li><a class="dropdown-item" href="{% url 'jadwal_dokter:index' %}">List Jadwal Dokter</a></li>
                {% endif %}


                {% if request.session.peran == 'pengguna publik' %}
                <li><a class="dropdown-item" href="{% url 'jadwal_dokter:index' %}">List Jadwal Dokter</a></li>
                <li><a class="dropdown-item" href="{% url 'reservasiRS:read' %}">List Reservasi RS</a></li>
                {% endif %}


                {% if request.session.peran == 'admin satgas' %}
                <li><a class="dropdown-item" href="{% url 'rumahsakit:create' %}">Buat RS</a></li>
                <li><a class="dropdown-item" href="{% url 'rumahsakit:read' %}">List RS</a></li>
                <li><a class="dropdown-item" href="{% url 'jadwal_dokter:index' %}">List Jadwal Dokter</a></li>
                <li><a class="dropdown-item" href="{% url 'ruangan_rs:buat-ruangan' %}">Buat Ruangan RS</a></li>
                <li><a class="dropdown-item" href="{% url 'ruangan_rs:index' %}">List Ruangan RS</a></li>
                <li><a class="dropdown-item" href="{% url 'ruangan_rs:buat-bed' %}">Buat Bed RS</a></li>
                <li><a class="dropdown-item" href="{% url 'ruangan_rs:bed-rs' %}">List Bed RS</a></li>
                <li><a class="dropdown-item" href="{% url 'reservasiRS:create' %}">Buat Reservasi RS</a></li>
                <li><a class="dropdown-item" href="{% url 'reservasiRS:read' %}">List Reservasi RS</a></li>
                {% endif %}
              </ul>
            </li>

            <!-- Pasien -->
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Pasien
              </a>

              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                {% if request.session.peran == 'pengguna publik' %}
                <li><a class="dropdown-item" href="{% url 'daftar_pasien:index' %}">Pendaftaran Pasien</a></li>
                <li><a class="dropdown-item" href="{% url 'daftar_pasien:list_pasien' %}">List Pasien</a></li>
                {% endif %}

                {% if request.session.peran == 'pengguna publik'  or request.session.peran == 'admin satgas' %}
                <li><a class="dropdown-item" href="{% url 'appointment:buat_appointment' %}">Buat Appointment</a></li>
                {% endif%}

                <li><a class="dropdown-item" href="{% url 'appointment:index' %}">List Appointment</a></li>
                <li><a class="dropdown-item" href="/hasilTes/">List Hasil Tes Pasien</a></li>

                {% if request.session.peran == 'dokter' %}
                <li><a class="dropdown-item" href="/formHasilTes/">Buat Hasil Tes Pasien</a></li>
                {% endif %}
              </ul>
            </li>
          
          
            <!-- Transaksi -->
            {% if request.session.peran == 'pengguna publik' or  request.session.peran == 'admin satgas' %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Transaksi
              </a>

              <ul class="dropdown-menu" aria-labelledby="navbarDropdown"> 
                {% if request.session.peran == 'pengguna publik' %}
                <li><a class="dropdown-item" href="/transaksiRS/">Bayar Transaksi RS</a></li>
                <li><a class="dropdown-item" href="/transaksiHotel/">Bayar Transaksi Hotel</a></li>
                {% endif %}

                {% if request.session.peran == 'admin satgas' %}
                <li><a class="dropdown-item" href="{% url 'transaksirs:read'%}">List Transaksi RS</a></li>
                <li><a class="dropdown-item" href="#">List Transaksi Hotel</a></li>
                {% endif %}

                <li><a class="dropdown-item" href="#">List Transaksi Booking Hotel</a></li>
                <li><a class="dropdown-item" href="/transaksi-makan/buat-transaksi-makan/">Buat Transaksi Makan dan Daftar Pesan</a></li>
                <li><a class="dropdown-item" href="/transaksi-makan/list-transaksi-makan/">List Transaksi Makan dan Daftar Pesan</a></li>
              </ul>
            </li>
            {% endif %}
            
            <!-- Faskes -->
            {% if request.session.peran == 'admin satgas' %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Faskes
              </a>

              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="{% url 'faskes:create'%}">Buat Faskes</a></li>
                <li><a class="dropdown-item" href="{% url 'faskes:read'%}">List Faskes</a></li>
                <li><a class="dropdown-item" href="{% url 'jadwal_faskes:create'%}">Buat Jadwal Faskes</a></li>
                <li><a class="dropdown-item" href="{% url 'jadwal_faskes:read'%}">List Jadwal Faskes</a></li>
              </ul>
            </li>
            {% endif %}

            {% endif %}

          </ul>
          {% endif %}
          </ul>

          {% if request.session.username %}
          <div class="d-flex mr-auto">
            <p class="me-2">Halo, {{ request.session.username }}</p>
            <a href={% url 'authentication:logout' %}>logout</a>
          </div>
          {% endif %}

          {% if request.session.username == null %}
          <div class="d-flex">
            <a href="{% url 'authentication:index' %}" class="btn btn-outline-success {% block log_but %}{% endblock log_but %}">Login</a>
            <a href="{% url 'authentication:register' %}" class="btn btn-outline-primary {% block reg_but %}{% endblock reg_but %}">Register</a>
          </div>
          {% endif %}

        </div>
      </div>
    </nav>

    {% block content %}

    {% endblock content %}
   
    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>
    {% block addScript %}
    
    {% endblock addScript %}
  </body>
</html>
